# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AbsoluteMonthlySchedule,
    AdvancedNetworking,
    AdvancedNetworkingObservability,
    AdvancedNetworkingSecurity,
    AgentPool,
    AgentPoolArtifactStreamingProfile,
    AgentPoolAvailableVersions,
    AgentPoolAvailableVersionsPropertiesAgentPoolVersionsItem,
    AgentPoolDeleteMachinesParameter,
    AgentPoolGatewayProfile,
    AgentPoolListResult,
    AgentPoolNetworkProfile,
    AgentPoolSecurityProfile,
    AgentPoolStatus,
    AgentPoolUpgradeProfile,
    AgentPoolUpgradeProfilePropertiesUpgradesItem,
    AgentPoolUpgradeSettings,
    AgentPoolWindowsProfile,
    AutoScaleProfile,
    AzureKeyVaultKms,
    CloudErrorBody,
    ClusterUpgradeSettings,
    CompatibleVersions,
    Component,
    ComponentsByRelease,
    ContainerServiceLinuxProfile,
    ContainerServiceNetworkProfile,
    ContainerServiceNetworkProfileKubeProxyConfig,
    ContainerServiceNetworkProfileKubeProxyConfigIpvsConfig,
    ContainerServiceSshConfiguration,
    ContainerServiceSshPublicKey,
    CreationData,
    CredentialResult,
    CredentialResults,
    DailySchedule,
    DateSpan,
    DelegatedResource,
    EndpointDependency,
    EndpointDetail,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    ExtendedLocation,
    GPUProfile,
    GuardrailsAvailableVersion,
    GuardrailsAvailableVersionsList,
    GuardrailsAvailableVersionsProperties,
    IPTag,
    IstioCertificateAuthority,
    IstioComponents,
    IstioEgressGateway,
    IstioIngressGateway,
    IstioPluginCertificateAuthority,
    IstioServiceMesh,
    KubeletConfig,
    KubernetesPatchVersion,
    KubernetesVersion,
    KubernetesVersionCapabilities,
    KubernetesVersionListResult,
    LabelSelector,
    LabelSelectorRequirement,
    LinuxOSConfig,
    LoadBalancer,
    LoadBalancerListResult,
    LocalDNSOverrides,
    LocalDNSProfile,
    Machine,
    MachineIpAddress,
    MachineListResult,
    MachineNetworkProperties,
    MachineProperties,
    MaintenanceConfiguration,
    MaintenanceConfigurationListResult,
    MaintenanceWindow,
    ManagedCluster,
    ManagedClusterAADProfile,
    ManagedClusterAIToolchainOperatorProfile,
    ManagedClusterAPIServerAccessProfile,
    ManagedClusterAccessProfile,
    ManagedClusterAddonProfile,
    ManagedClusterAddonProfileIdentity,
    ManagedClusterAgentPoolProfile,
    ManagedClusterAgentPoolProfileProperties,
    ManagedClusterAutoUpgradeProfile,
    ManagedClusterAzureMonitorProfile,
    ManagedClusterAzureMonitorProfileAppMonitoring,
    ManagedClusterAzureMonitorProfileAppMonitoringAutoInstrumentation,
    ManagedClusterAzureMonitorProfileAppMonitoringOpenTelemetryLogs,
    ManagedClusterAzureMonitorProfileAppMonitoringOpenTelemetryMetrics,
    ManagedClusterAzureMonitorProfileContainerInsights,
    ManagedClusterAzureMonitorProfileKubeStateMetrics,
    ManagedClusterAzureMonitorProfileMetrics,
    ManagedClusterBootstrapProfile,
    ManagedClusterCostAnalysis,
    ManagedClusterHTTPProxyConfig,
    ManagedClusterIdentity,
    ManagedClusterIngressProfile,
    ManagedClusterIngressProfileNginx,
    ManagedClusterIngressProfileWebAppRouting,
    ManagedClusterListResult,
    ManagedClusterLoadBalancerProfile,
    ManagedClusterLoadBalancerProfileManagedOutboundIPs,
    ManagedClusterLoadBalancerProfileOutboundIPPrefixes,
    ManagedClusterLoadBalancerProfileOutboundIPs,
    ManagedClusterManagedOutboundIPProfile,
    ManagedClusterMetricsProfile,
    ManagedClusterNATGatewayProfile,
    ManagedClusterNodeProvisioningProfile,
    ManagedClusterNodeResourceGroupProfile,
    ManagedClusterOIDCIssuerProfile,
    ManagedClusterPodIdentity,
    ManagedClusterPodIdentityException,
    ManagedClusterPodIdentityProfile,
    ManagedClusterPodIdentityProvisioningError,
    ManagedClusterPodIdentityProvisioningErrorBody,
    ManagedClusterPodIdentityProvisioningInfo,
    ManagedClusterPoolUpgradeProfile,
    ManagedClusterPoolUpgradeProfileUpgradesItem,
    ManagedClusterPropertiesAutoScalerProfile,
    ManagedClusterPropertiesForSnapshot,
    ManagedClusterSKU,
    ManagedClusterSecurityProfile,
    ManagedClusterSecurityProfileDefender,
    ManagedClusterSecurityProfileDefenderSecurityGating,
    ManagedClusterSecurityProfileDefenderSecurityGatingIdentitiesItem,
    ManagedClusterSecurityProfileDefenderSecurityMonitoring,
    ManagedClusterSecurityProfileImageCleaner,
    ManagedClusterSecurityProfileImageIntegrity,
    ManagedClusterSecurityProfileNodeRestriction,
    ManagedClusterSecurityProfileWorkloadIdentity,
    ManagedClusterServicePrincipalProfile,
    ManagedClusterSnapshot,
    ManagedClusterSnapshotListResult,
    ManagedClusterStaticEgressGatewayProfile,
    ManagedClusterStatus,
    ManagedClusterStorageProfile,
    ManagedClusterStorageProfileBlobCSIDriver,
    ManagedClusterStorageProfileDiskCSIDriver,
    ManagedClusterStorageProfileFileCSIDriver,
    ManagedClusterStorageProfileSnapshotController,
    ManagedClusterUpgradeProfile,
    ManagedClusterWindowsProfile,
    ManagedClusterWorkloadAutoScalerProfile,
    ManagedClusterWorkloadAutoScalerProfileKeda,
    ManagedClusterWorkloadAutoScalerProfileVerticalPodAutoscaler,
    ManagedNamespace,
    ManagedNamespaceListResult,
    ManagedServiceIdentityUserAssignedIdentitiesValue,
    ManualScaleProfile,
    MeshRevision,
    MeshRevisionProfile,
    MeshRevisionProfileList,
    MeshRevisionProfileProperties,
    MeshUpgradeProfile,
    MeshUpgradeProfileList,
    MeshUpgradeProfileProperties,
    NamespaceProperties,
    NetworkPolicies,
    NetworkProfileForSnapshot,
    NodeImageVersion,
    NodeImageVersionsListResult,
    OperationListResult,
    OperationStatusResult,
    OperationStatusResultList,
    OperationValue,
    OutboundEnvironmentEndpoint,
    OutboundEnvironmentEndpointCollection,
    PortRange,
    PowerState,
    PrivateEndpoint,
    PrivateEndpointConnection,
    PrivateEndpointConnectionListResult,
    PrivateLinkResource,
    PrivateLinkResourcesListResult,
    PrivateLinkServiceConnectionState,
    ProxyResource,
    RebalanceLoadBalancersRequestBody,
    RelativeMonthlySchedule,
    Resource,
    ResourceQuota,
    ResourceReference,
    RunCommandRequest,
    RunCommandResult,
    SafeguardsAvailableVersion,
    SafeguardsAvailableVersionsList,
    SafeguardsAvailableVersionsProperties,
    SafeguardsProfile,
    ScaleProfile,
    Schedule,
    SchedulerInstanceProfile,
    SchedulerProfile,
    SchedulerProfileSchedulerInstanceProfiles,
    ServiceMeshProfile,
    Snapshot,
    SnapshotListResult,
    SubResource,
    SysctlConfig,
    SystemData,
    TagsObject,
    TimeInWeek,
    TimeSpan,
    TrackedResource,
    TrustedAccessRole,
    TrustedAccessRoleBinding,
    TrustedAccessRoleBindingListResult,
    TrustedAccessRoleListResult,
    TrustedAccessRoleRule,
    UpgradeOverrideSettings,
    UserAssignedIdentity,
    VirtualMachineNodes,
    VirtualMachinesProfile,
    WeeklySchedule,
    WindowsGmsaProfile,
)

from ._container_service_client_enums import (  # type: ignore
    AddonAutoscaling,
    AdoptionPolicy,
    AdvancedNetworkPolicies,
    AgentPoolMode,
    AgentPoolSSHAccess,
    AgentPoolType,
    ArtifactSource,
    BackendPoolType,
    ClusterServiceLoadBalancerHealthProbeMode,
    Code,
    ConnectionStatus,
    CreatedByType,
    DeletePolicy,
    DriverType,
    Expander,
    ExtendedLocationTypes,
    Format,
    GPUDriver,
    GPUInstanceProfile,
    GuardrailsSupport,
    IPFamily,
    IpvsScheduler,
    IstioIngressGatewayMode,
    KeyVaultNetworkAccessTypes,
    KubeletDiskType,
    KubernetesSupportPlan,
    Level,
    LicenseType,
    LoadBalancerSku,
    LocalDNSForwardDestination,
    LocalDNSForwardPolicy,
    LocalDNSMode,
    LocalDNSProtocol,
    LocalDNSQueryLogging,
    LocalDNSServeStale,
    LocalDNSState,
    ManagedClusterPodIdentityProvisioningState,
    ManagedClusterSKUName,
    ManagedClusterSKUTier,
    Mode,
    NamespaceProvisioningState,
    NetworkDataplane,
    NetworkMode,
    NetworkPlugin,
    NetworkPluginMode,
    NetworkPolicy,
    NginxIngressControllerType,
    NodeOSUpgradeChannel,
    NodeProvisioningDefaultNodePools,
    NodeProvisioningMode,
    OSDiskType,
    OSSKU,
    OSType,
    Operator,
    OutboundType,
    PodIPAllocationMode,
    PodLinkLocalAccess,
    PolicyRule,
    PrivateEndpointConnectionProvisioningState,
    Protocol,
    PublicNetworkAccess,
    ResourceIdentityType,
    RestrictionLevel,
    SafeguardsSupport,
    ScaleDownMode,
    ScaleSetEvictionPolicy,
    ScaleSetPriority,
    SchedulerConfigMode,
    SeccompDefault,
    ServiceMeshMode,
    SnapshotType,
    TransitEncryptionType,
    TrustedAccessRoleBindingProvisioningState,
    Type,
    UndrainableNodeBehavior,
    UpgradeChannel,
    WeekDay,
    WorkloadRuntime,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AbsoluteMonthlySchedule",
    "AdvancedNetworking",
    "AdvancedNetworkingObservability",
    "AdvancedNetworkingSecurity",
    "AgentPool",
    "AgentPoolArtifactStreamingProfile",
    "AgentPoolAvailableVersions",
    "AgentPoolAvailableVersionsPropertiesAgentPoolVersionsItem",
    "AgentPoolDeleteMachinesParameter",
    "AgentPoolGatewayProfile",
    "AgentPoolListResult",
    "AgentPoolNetworkProfile",
    "AgentPoolSecurityProfile",
    "AgentPoolStatus",
    "AgentPoolUpgradeProfile",
    "AgentPoolUpgradeProfilePropertiesUpgradesItem",
    "AgentPoolUpgradeSettings",
    "AgentPoolWindowsProfile",
    "AutoScaleProfile",
    "AzureKeyVaultKms",
    "CloudErrorBody",
    "ClusterUpgradeSettings",
    "CompatibleVersions",
    "Component",
    "ComponentsByRelease",
    "ContainerServiceLinuxProfile",
    "ContainerServiceNetworkProfile",
    "ContainerServiceNetworkProfileKubeProxyConfig",
    "ContainerServiceNetworkProfileKubeProxyConfigIpvsConfig",
    "ContainerServiceSshConfiguration",
    "ContainerServiceSshPublicKey",
    "CreationData",
    "CredentialResult",
    "CredentialResults",
    "DailySchedule",
    "DateSpan",
    "DelegatedResource",
    "EndpointDependency",
    "EndpointDetail",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "ExtendedLocation",
    "GPUProfile",
    "GuardrailsAvailableVersion",
    "GuardrailsAvailableVersionsList",
    "GuardrailsAvailableVersionsProperties",
    "IPTag",
    "IstioCertificateAuthority",
    "IstioComponents",
    "IstioEgressGateway",
    "IstioIngressGateway",
    "IstioPluginCertificateAuthority",
    "IstioServiceMesh",
    "KubeletConfig",
    "KubernetesPatchVersion",
    "KubernetesVersion",
    "KubernetesVersionCapabilities",
    "KubernetesVersionListResult",
    "LabelSelector",
    "LabelSelectorRequirement",
    "LinuxOSConfig",
    "LoadBalancer",
    "LoadBalancerListResult",
    "LocalDNSOverrides",
    "LocalDNSProfile",
    "Machine",
    "MachineIpAddress",
    "MachineListResult",
    "MachineNetworkProperties",
    "MachineProperties",
    "MaintenanceConfiguration",
    "MaintenanceConfigurationListResult",
    "MaintenanceWindow",
    "ManagedCluster",
    "ManagedClusterAADProfile",
    "ManagedClusterAIToolchainOperatorProfile",
    "ManagedClusterAPIServerAccessProfile",
    "ManagedClusterAccessProfile",
    "ManagedClusterAddonProfile",
    "ManagedClusterAddonProfileIdentity",
    "ManagedClusterAgentPoolProfile",
    "ManagedClusterAgentPoolProfileProperties",
    "ManagedClusterAutoUpgradeProfile",
    "ManagedClusterAzureMonitorProfile",
    "ManagedClusterAzureMonitorProfileAppMonitoring",
    "ManagedClusterAzureMonitorProfileAppMonitoringAutoInstrumentation",
    "ManagedClusterAzureMonitorProfileAppMonitoringOpenTelemetryLogs",
    "ManagedClusterAzureMonitorProfileAppMonitoringOpenTelemetryMetrics",
    "ManagedClusterAzureMonitorProfileContainerInsights",
    "ManagedClusterAzureMonitorProfileKubeStateMetrics",
    "ManagedClusterAzureMonitorProfileMetrics",
    "ManagedClusterBootstrapProfile",
    "ManagedClusterCostAnalysis",
    "ManagedClusterHTTPProxyConfig",
    "ManagedClusterIdentity",
    "ManagedClusterIngressProfile",
    "ManagedClusterIngressProfileNginx",
    "ManagedClusterIngressProfileWebAppRouting",
    "ManagedClusterListResult",
    "ManagedClusterLoadBalancerProfile",
    "ManagedClusterLoadBalancerProfileManagedOutboundIPs",
    "ManagedClusterLoadBalancerProfileOutboundIPPrefixes",
    "ManagedClusterLoadBalancerProfileOutboundIPs",
    "ManagedClusterManagedOutboundIPProfile",
    "ManagedClusterMetricsProfile",
    "ManagedClusterNATGatewayProfile",
    "ManagedClusterNodeProvisioningProfile",
    "ManagedClusterNodeResourceGroupProfile",
    "ManagedClusterOIDCIssuerProfile",
    "ManagedClusterPodIdentity",
    "ManagedClusterPodIdentityException",
    "ManagedClusterPodIdentityProfile",
    "ManagedClusterPodIdentityProvisioningError",
    "ManagedClusterPodIdentityProvisioningErrorBody",
    "ManagedClusterPodIdentityProvisioningInfo",
    "ManagedClusterPoolUpgradeProfile",
    "ManagedClusterPoolUpgradeProfileUpgradesItem",
    "ManagedClusterPropertiesAutoScalerProfile",
    "ManagedClusterPropertiesForSnapshot",
    "ManagedClusterSKU",
    "ManagedClusterSecurityProfile",
    "ManagedClusterSecurityProfileDefender",
    "ManagedClusterSecurityProfileDefenderSecurityGating",
    "ManagedClusterSecurityProfileDefenderSecurityGatingIdentitiesItem",
    "ManagedClusterSecurityProfileDefenderSecurityMonitoring",
    "ManagedClusterSecurityProfileImageCleaner",
    "ManagedClusterSecurityProfileImageIntegrity",
    "ManagedClusterSecurityProfileNodeRestriction",
    "ManagedClusterSecurityProfileWorkloadIdentity",
    "ManagedClusterServicePrincipalProfile",
    "ManagedClusterSnapshot",
    "ManagedClusterSnapshotListResult",
    "ManagedClusterStaticEgressGatewayProfile",
    "ManagedClusterStatus",
    "ManagedClusterStorageProfile",
    "ManagedClusterStorageProfileBlobCSIDriver",
    "ManagedClusterStorageProfileDiskCSIDriver",
    "ManagedClusterStorageProfileFileCSIDriver",
    "ManagedClusterStorageProfileSnapshotController",
    "ManagedClusterUpgradeProfile",
    "ManagedClusterWindowsProfile",
    "ManagedClusterWorkloadAutoScalerProfile",
    "ManagedClusterWorkloadAutoScalerProfileKeda",
    "ManagedClusterWorkloadAutoScalerProfileVerticalPodAutoscaler",
    "ManagedNamespace",
    "ManagedNamespaceListResult",
    "ManagedServiceIdentityUserAssignedIdentitiesValue",
    "ManualScaleProfile",
    "MeshRevision",
    "MeshRevisionProfile",
    "MeshRevisionProfileList",
    "MeshRevisionProfileProperties",
    "MeshUpgradeProfile",
    "MeshUpgradeProfileList",
    "MeshUpgradeProfileProperties",
    "NamespaceProperties",
    "NetworkPolicies",
    "NetworkProfileForSnapshot",
    "NodeImageVersion",
    "NodeImageVersionsListResult",
    "OperationListResult",
    "OperationStatusResult",
    "OperationStatusResultList",
    "OperationValue",
    "OutboundEnvironmentEndpoint",
    "OutboundEnvironmentEndpointCollection",
    "PortRange",
    "PowerState",
    "PrivateEndpoint",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionListResult",
    "PrivateLinkResource",
    "PrivateLinkResourcesListResult",
    "PrivateLinkServiceConnectionState",
    "ProxyResource",
    "RebalanceLoadBalancersRequestBody",
    "RelativeMonthlySchedule",
    "Resource",
    "ResourceQuota",
    "ResourceReference",
    "RunCommandRequest",
    "RunCommandResult",
    "SafeguardsAvailableVersion",
    "SafeguardsAvailableVersionsList",
    "SafeguardsAvailableVersionsProperties",
    "SafeguardsProfile",
    "ScaleProfile",
    "Schedule",
    "SchedulerInstanceProfile",
    "SchedulerProfile",
    "SchedulerProfileSchedulerInstanceProfiles",
    "ServiceMeshProfile",
    "Snapshot",
    "SnapshotListResult",
    "SubResource",
    "SysctlConfig",
    "SystemData",
    "TagsObject",
    "TimeInWeek",
    "TimeSpan",
    "TrackedResource",
    "TrustedAccessRole",
    "TrustedAccessRoleBinding",
    "TrustedAccessRoleBindingListResult",
    "TrustedAccessRoleListResult",
    "TrustedAccessRoleRule",
    "UpgradeOverrideSettings",
    "UserAssignedIdentity",
    "VirtualMachineNodes",
    "VirtualMachinesProfile",
    "WeeklySchedule",
    "WindowsGmsaProfile",
    "AddonAutoscaling",
    "AdoptionPolicy",
    "AdvancedNetworkPolicies",
    "AgentPoolMode",
    "AgentPoolSSHAccess",
    "AgentPoolType",
    "ArtifactSource",
    "BackendPoolType",
    "ClusterServiceLoadBalancerHealthProbeMode",
    "Code",
    "ConnectionStatus",
    "CreatedByType",
    "DeletePolicy",
    "DriverType",
    "Expander",
    "ExtendedLocationTypes",
    "Format",
    "GPUDriver",
    "GPUInstanceProfile",
    "GuardrailsSupport",
    "IPFamily",
    "IpvsScheduler",
    "IstioIngressGatewayMode",
    "KeyVaultNetworkAccessTypes",
    "KubeletDiskType",
    "KubernetesSupportPlan",
    "Level",
    "LicenseType",
    "LoadBalancerSku",
    "LocalDNSForwardDestination",
    "LocalDNSForwardPolicy",
    "LocalDNSMode",
    "LocalDNSProtocol",
    "LocalDNSQueryLogging",
    "LocalDNSServeStale",
    "LocalDNSState",
    "ManagedClusterPodIdentityProvisioningState",
    "ManagedClusterSKUName",
    "ManagedClusterSKUTier",
    "Mode",
    "NamespaceProvisioningState",
    "NetworkDataplane",
    "NetworkMode",
    "NetworkPlugin",
    "NetworkPluginMode",
    "NetworkPolicy",
    "NginxIngressControllerType",
    "NodeOSUpgradeChannel",
    "NodeProvisioningDefaultNodePools",
    "NodeProvisioningMode",
    "OSDiskType",
    "OSSKU",
    "OSType",
    "Operator",
    "OutboundType",
    "PodIPAllocationMode",
    "PodLinkLocalAccess",
    "PolicyRule",
    "PrivateEndpointConnectionProvisioningState",
    "Protocol",
    "PublicNetworkAccess",
    "ResourceIdentityType",
    "RestrictionLevel",
    "SafeguardsSupport",
    "ScaleDownMode",
    "ScaleSetEvictionPolicy",
    "ScaleSetPriority",
    "SchedulerConfigMode",
    "SeccompDefault",
    "ServiceMeshMode",
    "SnapshotType",
    "TransitEncryptionType",
    "TrustedAccessRoleBindingProvisioningState",
    "Type",
    "UndrainableNodeBehavior",
    "UpgradeChannel",
    "WeekDay",
    "WorkloadRuntime",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
